-- Customer specific once-script GRKL#36467.
--
-- (c) 2016 Facilitor B.V.
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xGRKL36467.lst
SET DEFINE OFF

-- Omhangen gebouw met key=39 (onder locatie met key=28) naar nieuwe/eigen locatie met key=61!
UPDATE alg_gebouw
   SET alg_locatie_key = 61
 WHERE alg_locatie_key = 28 AND alg_gebouw_key = 39;

COMMIT;

UPDATE mld_melding m
   SET m.mld_alg_locatie_key = 61
 WHERE m.mld_alg_locatie_key = 28
       AND EXISTS
             (SELECT 1
                FROM alg_v_allonroerendgoed aog
               WHERE aog.alg_onroerendgoed_keys = m.mld_alg_onroerendgoed_keys
                     AND aog.alg_gebouw_key = 39);

COMMIT;

UPDATE ins_deel d
   SET d.ins_alg_locatie_key = 61
 WHERE d.ins_alg_locatie_key = 28 AND d.ins_alg_ruimte_type = 'W'
       AND EXISTS
             (SELECT 1
                FROM prs_werkplek wp, alg_v_allonroerendgoed aog
               WHERE     wp.prs_werkplek_key = d.ins_alg_ruimte_key
                     AND wp.prs_alg_ruimte_key = aog.alg_onroerendgoed_keys
                     AND aog.alg_gebouw_key = 39);

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
